//go:build windows

package fs

import (
	"io/fs"
	"path/filepath"
	"strings"
)

// Walk calls your callback function for every file name inside the directory.
// It doesn't distinguish between files and directories.
func Walk(directory string, callBack func(string)) error {
	return filepath.WalkDir(directory, func(path string, d fs.DirEntry, err error) error {
		fileName := d.Name()

		if strings.HasPrefix(fileName, ".") {
			return filepath.SkipDir
		}

		callBack(fileName)
		return nil
	})
}
